var 
    n, i, j: integer;
    u: array[1 .. 6000] of boolean;
begin
		assign(input, 'b.in');
    reset(input);
    
    assign(output, 'b.out');
    rewrite(output);

    read(n);
    for i := 2 to n do begin
        j := 2 * i;
        while (j < 2 * n) do begin
            u[j] := true;
            inc(j, i);
        end;        
    end;
    j := 0;
    for i := n to 2 * n do
        inc(j, 1 - ord(u[i]));
    write(j);
end.
